# Running the StackFocuser method on the test image.

## Getting the StackFocuser plugin.

StackFocuser is an ImageJ plugin that must be downloaded separately. It is available here:
https://imagej.nih.gov/ij/plugins/stack-focuser.html

Download the `Stack_Focuser_.class` file and put it in the `plugins` folder of Fiji. Then launch Fiji.

## Running the comparison.

There is a Jython script `RunStackFocuser.py` that you have to open in the Fiji editor. You will just have to edit the lines 27, 30 and 40 to set the locations of the source image, the ground truth, and the save folder.
The script will directly run the plugin and compute the RMSE on the fly.
Values will be stored in the `Results/Results.csv` file.

## Timing StackFocuser.

The Jython script `TimeStackFocuser.py` will time the method.
You need to edit line 19 to enter the optimal filter size found in the previous step.
The timing results will be saved in the `Results/OptimalTimings.csv`.
