# Measuring the height-maps RMSE.

This folder is dedicated to getting the metrics on the height-map. We simply measure the RMSE by comparing with the ground-truth height-map generated before.

First you need to copy here all the optimal height-map images generated in the `Methods` folder, getting the absolute best projection and height-map for the methods we tested. Only a subset of the projection generate a height-map:

- Local-Z-Projector
- Stack Focuser
- PreMosa
- Extended-Depth-Of-Field
- Min-Cost-Z-Surface
- Fast SME

Everything is done by the MATLAB script `ComputeHeightMapRMSE.m`. There are a few lines you need to edit:

- Line 7: Put the path to the ground-truth height map file.
- Line 12 to 18: enter the files name of the height-maps you copied. Note that they must in the order specified in lines 22 to  28.
- Line 31: Make sure the name of the tissue mask image is right.

Then run the script. The results will be stored in the `rmse` variable. 

