%% Compute RMSE for the MIP method.
% No parameter.

ground_truth_img_path = '../../GroundTruth/GT_Proj.tif';
mask_path =  '../../GroundTruth/ProjectionMask.tif';

G = double( imread(ground_truth_img_path) );
I = double( imread( 'Results/MIP.tif' ) );
M = logical ( imread( mask_path) );
rmse = sqrt( immse( G(M), I(M) ) );
fprintf( 'RMSE for the MIP method: %.1f.\n', rmse )
