# Running the SurfCut method on the test image.

## Getting the SurfCut code.

There is now a second version of the tool that works on 16-bit images without issue. It is hosted here: https://github.com/VergerLab/SurfCut2. In our case, we just need the light version of the macro:

```html
https://github.com/VergerLab/SurfCut2/blob/master/SurfCut2-Lite.ijm
```

Download it directly and put it somewhere convenient. For instance in your `Fiji.app/macros/` folder.

## Running SurfCut.

I could not find a way to write a script or a macro that automatize the parameter sweep. The dialog box always shows up in my test (version of the 10/03/2021). So you will have to run the macro manually for each parameter set you want to test. Each time you will need to reopen the source image to project, because SurfCut closes it. It seems to reopen it but I could not run the macro a second time on this.

After the macro finishes, save the image name `SurfCutProjection_*` where `*` is the name of the source image. Store them in the `Results` folder with a file name that contains the parameter values. For instance:

![Screenshot 2021-03-12 093010](D:\Projects\DProj\DProjComparisonToolBox-02\Methods\SurfCut\docs\Screenshot 2021-03-12 093010.png)

## Measuring the RMSE values.

Check the `ComputeRMSE.m` MATLAB script. Because there is only a few images in this script you will have to enter the file names and the legend by hand. The script will generate this plot:

![RMSE](D:\Projects\DProj\DProjComparisonToolBox-02\Methods\SurfCut\RMSE.png)
